Skip to main content
PATCH
/
v1
/
webhook-endpoints
/
{endpoint_id}
Update Webhook Endpoint
curl --request PATCH \
  --url https://api.ontora.com/v1/webhook-endpoints/{endpoint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "description": "<string>",
  "active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "active": true,
  "description": "<string>",
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

endpoint_id
string<uuid>
required

Body

application/json
url
string<uri> | null
Required string length: 1 - 2083
events
string[] | null
description
string | null
active
boolean | null

Response

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
url
string
required
events
string[]
required
active
boolean
required
description
string | null
required
created_by
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required